org.eclipse.emf.cdo.util

## Class ReferentialIntegrityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.cdo.util.CommitException
      - - org.eclipse.emf.cdo.util.DataIntegrityException
        - - org.eclipse.emf.cdo.util.ReferentialIntegrityException

- All Implemented Interfaces:
    Serializable

      public class ReferentialIntegrityException
      extends DataIntegrityException

  A `data integrity exception` that indicates an attempt to create stale references. A stale reference is a reference that points to a target object that does not (or no longer) exist.

  Detection of referential integrity violations must be explicitly enabled on the server side because it can be expensive:

          <property name="ensureReferentialIntegrity" value="true"/>

  The risk of referential integrity violations can be reduced (but not eliminated) by using local cross reference queries before committing:

  - `CDOView#queryXRefs()`
  - `CDOView#queryXRefsAsync()`
  Since:
    4.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferentialIntegrityException(String msg, List<CDOObjectReference> xRefs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CDOObjectReference>` | `getXRefs()`

    - ### Methods inherited from class org.eclipse.emf.cdo.util.CommitException

      `isLocal, wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferentialIntegrityException

          public ReferentialIntegrityException(String msg,
                                               List<CDOObjectReference> xRefs)

  - ### Method Detail

    - #### getXRefs

          public List<CDOObjectReference> getXRefs()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html